Page MenuHomePhabricator

Migration of Language team to Phabricator
Closed, ResolvedPublic

Description

Let's track progress on the migration of this team to Phabricator. Feel free editing this task description.

  • Team member assigned to this task
  • Link(s) to the current projects in Mingle, Trello, other
  • (optional) Have you scheduled a team meeting with @Qgil to discuss the migration? (yyyy-mm-dd)
  • Blockers of the migration identified: (list the task numbers between {curly brackets})
  • Planned date for the migration/creation of a first real project: yyyy-mm-dd
  • Do you plan to have all your projects moved by the end of 2014? Yes/No, and if not, why

(...)

  • More than half of our team members and ongoing sprints are working in Phabricator now (yyyy-mm-dd)
  • All our projects have been moved to Phabricator. Mission completion! (yyyy-mm-dd)

Event Timeline

Qgil created this task.Oct 23 2014, 7:57 AM
Qgil raised the priority of this task from to Medium.
Qgil updated the task description. (Show Details)
Qgil changed Security from none to None.
Qgil added subscribers: Qgil, Arrbee.
Qgil added a comment.Nov 27 2014, 8:10 AM

As per T434 , in the following days I plan to scan the levels of use of Phabricator by all the WMF product & engineering teams. Please keep the description of this task up to date.

Qgil assigned this task to Arrbee.Dec 22 2014, 7:56 AM

Runa, in practice you are the Language team member coordinating the migration. Let me assign this task to you.

How is you first sprint with Phabricator going? Have you decided on the next steps?

Hi @Qgil, we are already on the 2nd sprint and about to start the 3rd sprint on phabricator tomorrow. Till now, it has been very convenient to create tasks. An important benefit we found is the ease of interactions with other teams because we are all using a common tool. There are some aspects of mingle that we currently miss, like columns based on status and several other customizable views (including shared ones). We are keeping notes and will add them to the phabricator project as enhancement requests.

We plan to look at the mingle migration script during the slow development cycle in the coming week and move all the appropriate cards into phabricator by early January. Thanks.

Qgil moved this task from To Triage to Doing on the Phabricator board.Jan 12 2015, 10:26 AM
Qgil added a comment.Feb 23 2015, 11:02 AM

@Arrbee, are you still planning to migrate your Mingle cards? I guess by now you are getting more used to clone manually whatever new tasks are needed?

In T829#1058534, @Qgil wrote:

@Arrbee, are you still planning to migrate your Mingle cards? I guess by now you are getting more used to clone manually whatever new tasks are needed?

@Qgil, we are done. We finished on Friday night. I just have to do a walkthrough of the new tickets that were created.

\o/
@Arrbee: Please feel free to close this ticket as resolved once entirely done.

Qgil awarded a token.Feb 24 2015, 1:03 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptOct 1 2016, 1:59 PM